QuantLib: ZeroInflationTermStructure Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

List of all members
ZeroInflationTermStructure Class Referenceabstract

Interface for zero inflation term structures. More...

`#include <ql/termstructures/inflationtermstructure.hpp>`

Inheritance diagram for ZeroInflationTermStructure:
[legend]

## Public Member Functions
Constructors
| ZeroInflationTermStructure (const DayCounter &dayCounter, Rate baseZeroRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
| ZeroInflationTermStructure (const Date &referenceDate, const Calendar &calendar, const DayCounter &dayCounter, Rate baseZeroRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
| ZeroInflationTermStructure (Natural settlementDays, const Calendar &calendar, const DayCounter &dayCounter, Rate baseZeroRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
QL_DEPRECATED | ZeroInflationTermStructure (const DayCounter &dayCounter, Rate baseZeroRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
QL_DEPRECATED | ZeroInflationTermStructure (const Date &referenceDate, const Calendar &calendar, const DayCounter &dayCounter, Rate baseZeroRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
QL_DEPRECATED | ZeroInflationTermStructure (Natural settlementDays, const Calendar &calendar, const DayCounter &dayCounter, Rate baseZeroRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
Public Member Functions inherited from InflationTermStructure
| InflationTermStructure (Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const DayCounter &dayCounter=DayCounter(), const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
| InflationTermStructure (const Date &referenceDate, Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Calendar &calendar=Calendar(), const DayCounter &dayCounter=DayCounter(), const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
| InflationTermStructure (Natural settlementDays, const Calendar &calendar, Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const DayCounter &dayCounter=DayCounter(), const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
QL_DEPRECATED | InflationTermStructure (Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const DayCounter &dayCounter=DayCounter(), const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
QL_DEPRECATED | InflationTermStructure (const Date &referenceDate, Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const Calendar &calendar=Calendar(), const DayCounter &dayCounter=DayCounter(), const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
QL_DEPRECATED | InflationTermStructure (Natural settlementDays, const Calendar &calendar, Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const DayCounter &dayCounter=DayCounter(), const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
virtual Period | observationLag () const
virtual Frequency | frequency () const
virtual bool | indexIsInterpolated () const
virtual Rate | baseRate () const
virtual Handle< YieldTermStructure > | nominalTermStructure () const
virtual Date | baseDate () const =0
| minimum (base) date More...
void | setSeasonality (const ext::shared_ptr< Seasonality > &seasonality=ext::shared_ptr< Seasonality >())
| Functions to set and get seasonality. More...
ext::shared_ptr< Seasonality > | seasonality () const
bool | hasSeasonality () const
Public Member Functions inherited from TermStructure
| TermStructure (const DayCounter &dc=DayCounter())
| default constructor More...
| TermStructure (const Date &referenceDate, const Calendar &calendar=Calendar(), const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| TermStructure (Natural settlementDays, const Calendar &, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
virtual | ~TermStructure ()
virtual DayCounter | dayCounter () const
| the day counter used for date/time conversion
Time | timeFromReference (const Date &date) const
| date/time conversion
virtual Date | maxDate () const =0
| the latest date for which the curve can return values
virtual Time | maxTime () const
| the latest time for which the curve can return values
virtual const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
virtual Calendar | calendar () const
| the calendar used for reference and/or option date calculation
virtual Natural | settlementDays () const
| the settlementDays used for reference date calculation
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Inspectors
Rate | zeroRate (const Date &d, const Period &instObsLag=Period(-1, Days), bool forceLinearInterpolation=false, bool extrapolate=false) const
| zero-coupon inflation rate. More...
Rate | zeroRate (Time t, bool extrapolate=false) const
| zero-coupon inflation rate. More...
virtual Rate | zeroRateImpl (Time t) const =0
| to be defined in derived classes

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from InflationTermStructure
virtual void | setBaseRate (const Rate &r)
void | checkRange (const Date &, bool extrapolate) const
void | checkRange (Time t, bool extrapolate) const
Protected Member Functions inherited from TermStructure
void | checkRange (const Date &d, bool extrapolate) const
| date-range check
void | checkRange (Time t, bool extrapolate) const
| time-range check
Protected Attributes inherited from InflationTermStructure
ext::shared_ptr< Seasonality > | seasonality_
Period | observationLag_
Frequency | frequency_
bool | indexIsInterpolated_
Rate | baseRate_
Handle< YieldTermStructure > | nominalTermStructure_
Protected Attributes inherited from TermStructure
bool | moving_
bool | updated_
Calendar | calendar_

## Detailed Description

Interface for zero inflation term structures.

## Constructor & Destructor Documentation

## ◆ ZeroInflationTermStructure() [1/3]

QL_DEPRECATED ZeroInflationTermStructure | ( | const DayCounter & | dayCounter,
|  | Rate | baseZeroRate,
|  | const Period & | lag,
|  | Frequency | frequency,
|  | bool | indexIsInterpolated,
|  | const Handle< YieldTermStructure > & | yTS,
|  | const ext::shared_ptr< Seasonality > & | seasonality = `ext::shared_ptr< Seasonality >()`
| ) |  |

Deprecated:
  Use one of the constructors not taking a yield term structure. Deprecated in version 1.19.

## ◆ ZeroInflationTermStructure() [2/3]

QL_DEPRECATED ZeroInflationTermStructure | ( | const Date & | referenceDate,
|  | const Calendar & | calendar,
|  | const DayCounter & | dayCounter,
|  | Rate | baseZeroRate,
|  | const Period & | lag,
|  | Frequency | frequency,
|  | bool | indexIsInterpolated,
|  | const Handle< YieldTermStructure > & | yTS,
|  | const ext::shared_ptr< Seasonality > & | seasonality = `ext::shared_ptr< Seasonality >()`
| ) |  |

Deprecated:
  Use one of the constructors not taking a yield term structure. Deprecated in version 1.19.

## ◆ ZeroInflationTermStructure() [3/3]

QL_DEPRECATED ZeroInflationTermStructure | ( | Natural | settlementDays,
|  | const Calendar & | calendar,
|  | const DayCounter & | dayCounter,
|  | Rate | baseZeroRate,
|  | const Period & | lag,
|  | Frequency | frequency,
|  | bool | indexIsInterpolated,
|  | const Handle< YieldTermStructure > & | yTS,
|  | const ext::shared_ptr< Seasonality > & | seasonality = `ext::shared_ptr< Seasonality >()`
| ) |  |

Deprecated:
  Use one of the constructors not taking a yield term structure. Deprecated in version 1.19.

## Member Function Documentation

## ◆ zeroRate() [1/2]

Rate zeroRate | ( | const Date & | d,
|  | const Period & | instObsLag = `Period(-1, Days)`,
|  | bool | forceLinearInterpolation = `false`,
|  | bool | extrapolate = `false`
| ) |  | const

zero-coupon inflation rate.

Essentially the fair rate for a zero-coupon inflation swap (by definition), i.e. the zero term structure uses yearly compounding, which is assumed for ZCIIS instrument quotes.

Note
  by default you get the same as lag and interpolation as the term structure. If you want to get predictions of RPI/CPI/etc then use an index.

## ◆ zeroRate() [2/2]

Rate zeroRate | ( | Time | t,
|  | bool | extrapolate = `false`
| ) |  | const

zero-coupon inflation rate.

Warning:
  Since inflation is highly linked to dates (lags, interpolation, months for seasonality, etc) this method cannot account for all effects. If you call it, You'll have to manage lag, seasonality etc. yourself.